package cz.jzitnik.game.entities.items.registry.blocks.blocks;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.*;
import cz.jzitnik.game.core.sound.SoundKey;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.entities.items.ItemType;

import java.util.ArrayList;

@MineSound(SoundKey.WOOD_DIG)
@PlaceSound(SoundKey.WOOD_DIG)
@MiningSound(SoundKey.WOOD_MINING)
@WalkSound(SoundKey.WOOD_WALKING)
@Flamable
@BlockRegistry("oak_planks")
public class OakPlanksBlock extends Block {
    public OakPlanksBlock() {
        super("oak_planks", SpriteLoader.SPRITES.OAK_PLANKS, 3, ItemType.AXE, new ArrayList<>());
    }
}
