package cz.jzitnik.game.entities.items.registry.blocks.grassy;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.*;
import cz.jzitnik.game.core.sound.SoundKey;
import cz.jzitnik.game.entities.Block;

@MineSound(SoundKey.GRASS)
@PlaceSound(SoundKey.GRASS)
@WalkSound(SoundKey.GRASS_WALKING)
@PlaceOnSolid
@BreakableByWater
@BreaksFalling
@BreaksByPlace
@CustomDrop(tool = "shears", drops = "grass_bush")
@BlockDropPercentage(13)
@BlockRegistry(value = "grass_bush", drops = "wheat_seeds")
public class GrassBushBlock extends Block {
    public GrassBushBlock() {
        super("grass_bush", SpriteLoader.SPRITES.GRASS_BUSH, 0);
        setGhost(true);
    }
}
