package cz.jzitnik.game.entities.items.registry.blocks.blocks;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.*;
import cz.jzitnik.game.core.sound.SoundKey;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.entities.items.ItemType;
import cz.jzitnik.game.entities.items.ToolVariant;

import java.util.Arrays;
@PlaceSound(SoundKey.STONE_DIG)
@MineSound(SoundKey.STONE_DIG)
@WalkSound(SoundKey.STONE_WALKING)
@MiningSound(SoundKey.STONE_MINING)
@BlockRegistry("cobblestone")
public class CobblestoneBlock extends Block {
    public CobblestoneBlock() {
        super("cobblestone", SpriteLoader.SPRITES.COBBLESTONE, 15, ItemType.PICKAXE,
                Arrays.stream(ToolVariant.values()).toList());
    }
}
